Install ionCube Loaders for Centos

From Brian Nelson Ramblings
Jump to: navigation, search

Installing ionCube Loaders for Centos 6 PHP 5.4

This module is basically PHP extension that handles the reading and execution of encoded files at run time. Shortly, you may see a script encoded with IonCube and as per its developer says, you must have IonCube Loader installed on your server.

How to install ionCube?

Method 1 (yum)

First check and make sure yum has ionCube usually you will need the EPEL repo

yum search ioncube

Results, as you can see we have more than one to choose from, if you have php 5.3 you use php53u if you have php 5.4 then php54, you get the idea.

php52-ioncube-loader.x86_64 : IonCube Loader provides PHP Modules to read IonCube Encoded Files
php53u-ioncube-loader.x86_64 : IonCube Loader provides PHP Modules to read IonCube Encoded Files
php53u-ioncube-loader-debuginfo.x86_64 : Debug information for package php53u-ioncube-loader
php54-ioncube-loader.x86_64 : IonCube Loader provides PHP Modules to read IonCube Encoded Files
php54-ioncube-loader-debuginfo.x86_64 : Debug information for package php54-ioncube-loader

Now lets install ioncube loader 54 as we have php 5.4

yum install php54-ioncube-loader.x86_64 php54-ioncube-loader.x86_64

Yeah, simple and done - Yum if Fun

Method 2 (downloading)

Now this method is usually what you will need to do if you need the latest version of ionCube, as it usually takes a few months to hit the Yum repos.

First you will neeed to get the lastest files from the website

We need Linux (x86-64),

I always download to a download folder so

cd /downloads
tar -zxvf ioncube_loaders_lin_x86-64.tar.gz

Now we are going to move the correct php version to /usr/lib64/php/modules/

cd /usr/lib64/php/modules/
cp /downloads/ioncube/ioncube_loader_lin_5.4* .
If updating ionCube

If your updating the ionCube, at this point just restart php-fpm or apache

/etc/init.d/httpd restart

or if php-fpm

/etc/init.d/php-fpm restart
If fresh install of ionCube

But if this is a fresh install, you will need to create the ioncube.ini file in the /etc/php.d folder

vim /etc/php.d/ioncube.ini

Add the following line


Now restart apache or php-fpm

/etc/init.d/httpd restart 

or if php-fpm

/etc/init.d/php-fpm restart

Checking to Make sure PHP its not Derping

php -v
PHP 5.4.14 (cli) (built: Apr 24 2013 13:00:02) 
Copyright (c) 1997-2013 The PHP Group
Zend Engine v2.4.0, Copyright (c) 1998-2013 Zend Technologies
    with the ionCube PHP Loader v4.5.2, Copyright (c) 2002-2014, by ionCube Ltd.

More things to Read